Denial of service in PowerDNS Recursor



Published: 2022-08-23
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-37428
CWE-ID CWE-755
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
PowerDNS Recursor
Server applications / DNS servers

Vendor PowerDNS.COM B.V.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Improper Handling of Exceptional Conditions

EUVDB-ID: #VU66715

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-37428

CWE-ID: CWE-755 - Improper Handling of Exceptional Conditions

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to incorrect exceptions handling with enabled protobuf logging. A remote attacker can send a specially crafted request to the DNS server and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

PowerDNS Recursor: 4.7.0 - 4.7.1, 4.6.0 - 4.6.2, 4.5.0 alpha1 - 4.5.9, 4.4.0 - 4.4.8, 4.3.0 - 4.3.7, 4.1.0 - 4.1.18, 4.2.0 - 4.2.5, 4.0.0 - 4.0.9


CPE2.3 External links

http://docs.powerdns.com/recursor/security-advisories/powerdns-advisory-2022-02.html

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###